ユーザー

ID でユーザーを取得

GET /v1/users/by-id/{user_id} reads 1 クレジット

数値 ID で引いたアカウント 1 件のプロフィール。ハンドルではなく ID を持っている場合に。

レスポンス

user の下のプロフィール。id は文字列です。数値以外の ID は 422 です。

ステータス: 200, 404, 422, 429, 502

リクエスト
curl https://api.xsignalfeed.com/v1/users/by-id/44196397 \
  -H "Authorization: Bearer xsf_your_key"
レスポンス · 200 / 404
{
  "user": {
    "id": "44196397",
    "name": "Elon Musk",
    "screen_name": "elonmusk",
    "bio": "…",
    "location": null,
    "url": "",
    "avatar": "https://pbs.twimg.com/profile_images/…",
    "banner": "https://pbs.twimg.com/profile_banners/44196397/…",
    "pinned": "2099875660290228642",
    "verified": true,
    "protected": false,
    "followers": 241629139,
    "following": 1406,
    "tweets": 108648
  }
}